package bsplines;

/*
Tutorial on LevelSet and BSpline deformable model techniques 
for image segmentation
Copyright (C) Diane Lingrand (Diane.Lingrand@unice.fr)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/**
 * class for the interface parameters
 *
 * @author <a href="mailto:Diane.Lingrand@essi.fr">DianeLingrand</a>
 **/

public class BSparam {
    private int close, distant, criterion;
    private double lambda1, lambda2, lambda3;

    public BSparam() {
	super();
    }
    
    public int getClose() {return close;}
    public int getDistant() { return distant;}
    public int getCriterion() { return criterion;}
    public double getLambda1() { return lambda1;}
    public double getLambda2() { return lambda2;}
    public double getLambda3() { return lambda3;}

    public void setClose(int c) { close = c;}
    public void setDistant(int d) { distant = d;}
    public void setCriterion(int c) { criterion = c;}
    public void setLambda1( double l) { lambda1 = l;}
    public void setLambda2( double l) { lambda2 = l;}
    public void setLambda3( double l) { lambda3 = l;}

    public String toString() {
	String res = "";
	res += "close = " + close + "\n";
	res += "distant = " + distant + "\n";
	res += "criterion = " + criterion + "\n";
	res += "lambda1 = " + lambda1 + "\n";
	res += "lambda2 = " + lambda2 + "\n";
	res += "lambda3 = " + lambda3 ;

	return res;
    }
}
